/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 运维系统
 * 创建日期:2022/8/22
 */
package org.springblade.modules.baseinfo.project.wrapper;


import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.core.tool.utils.SpringUtil;
import org.springblade.modules.baseinfo.project.entity.ProjectInfoEntity;
import org.springblade.modules.baseinfo.project.vo.ProjectInfoVO;
import org.springblade.modules.system.entity.DictBiz;
import org.springblade.modules.system.service.IDictBizService;

import java.util.Objects;

/***
 * Date:2022/8/22
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class ProjectInfoWrapper extends BaseEntityWrapper<ProjectInfoEntity, ProjectInfoVO> {
	public static ProjectInfoWrapper build() {
		return new ProjectInfoWrapper();
	}

	private static IDictBizService dictBizService;

	private static IDictBizService getDictBizService() {
		if (dictBizService == null) {
			dictBizService = SpringUtil.getBean(IDictBizService.class);
		}
		return dictBizService;
	}

	@Override
	public ProjectInfoVO entityVO(ProjectInfoEntity entity) {

		ProjectInfoVO projectInfoVO = Objects.requireNonNull(BeanUtil.copy(entity, ProjectInfoVO.class));
		if (entity.getAgreementId() != null){
			DictBiz biz = getDictBizService().getById(entity.getAgreementId());
			if (null != biz){
				projectInfoVO.setAgreementName(biz.getDictValue());
			}
		}
		if (entity.getPowerTypeId() != null){
			DictBiz biz = getDictBizService().getById(entity.getPowerTypeId());
			if (null != biz){
				projectInfoVO.setPowerTypeName(biz.getDictValue());
			}
		}


		return projectInfoVO;
	}
}
